# $Id: syncserver.spec 389 2013-11-18 10:37:02Z phil $

Name: syncserver
Version: 1.1
Release: 1.beta0%{?dist}
Summary: a firefox syncserver
License: LGPL
Group: Networking/Daemons
URL: http://www.unixadm.org/%{name}/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: perl(ExtUtils::MakeMaker)
Requires: httpd, mod_ssl, mod_fcgid
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires: perl(FCGI)
Requires: perl(JSON)
Requires: perl(IO::Handle)
Requires: perl(MIME::Base64)
Requires: perl(Time::HiRes)
Requires: perl(Mail::Sendmail)
Requires: perl(Digest::SHA)
Requires: perl(DBI)
Obsoletes: SyncServer


%description
This is another implementation of the firefox sync server

In case of using CAPTCHA for registration you'll also need
	perl(Captcha::reCAPTCHA)

If you want LDAP authentification the following modules are required:
	perl(Net::LDAP)
	perl(Cache::Memcached)
	(also: run a memcached server!)



%prep
%setup -q


%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	INSTALLSCRIPT=%{_localstatedir}/www/cgi-bin
cat Makefile
sed -i -r -e 's|/usr/local/bin|%{_bindir}|g' examples/wbo-expire.cron
sed -i -r -e 's|/usr/local/bin|%{_localstatedir}/www/cgi-bin|g' examples/httpd.conf
make


%install
[ '%{buildroot}' != '/' ] && rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
install -D -m 644 examples/syncserver.cfg \
	%{buildroot}%{_sysconfdir}/%{name}/syncserver.cfg
install -D -m 644 examples/httpd.conf \
	%{buildroot}%{_sysconfdir}/httpd/conf.d/syncserver.conf

find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -depth -type d -empty -delete

%{_fixperms} %{buildroot}/*


%clean
[ '%{buildroot}' != '/' ] && rm -rf %{buildroot}


%post
: please take a look at 
: %{_docdir}/%{name}-%{version}/sql
: when upgrading.


%files
%defattr(-,root,root,-)
%doc sql examples README Changelog COPYING
%config(noreplace) %{_sysconfdir}/%{name}/syncserver.cfg
%config(noreplace) %{_sysconfdir}/httpd/conf.d/syncserver.conf
%{_bindir}/wbo-expire
%{_localstatedir}/www/cgi-bin/regserver.fpl
%{_localstatedir}/www/cgi-bin/storserver.fpl
%{_localstatedir}/www/cgi-bin/recaptcha.fpl
%{perl_vendorlib}/SyncServer.pm
%{perl_vendorlib}/SyncServer/Config.pm
%{perl_vendorlib}/SyncServer/User.pm
%{perl_vendorlib}/SyncServer/Storage.pm
%{perl_vendorlib}/SyncServer/DB.pm
%{perl_vendorlib}/SyncServer/LDAP.pm
%{perl_vendorlib}/SyncServer/Err.pm
%{_mandir}

%changelog
* Tue Jun 18 2013 Philippe Kueck <projects@unixadm.org> - 1.0-1
- new release

* Wed Feb 20 2013 Philippe Kueck <projects@unixadm.org> - 0.9-1
- new release

* Mon Oct 01 2012 Philippe Kueck <projects@unixadm.org> - 0.6-1
- new release

* Wed Sep 05 2012 Philippe Kueck <projects@unixadm.org> - 0.5-2
- lowercase package name

* Sat Aug 25 2012 Philippe Kueck <projects@unixadm.org> - 0.5-1
- bugfix in DB.pm

* Thu Aug 16 2012 Philippe Kueck <projects@unixadm.org> - 0.4-1
- initial packaging
